Subject: Re: [PATCH] unpack-trees: don't shift conflicts left and right

From: René Scharfe <[email-masked]>
Date: Tue, 18 Jun 2013 21:33:25 +0200

Am 18.06.2013 01:42, schrieb Junio C Hamano:
> But the need to go all the way up in the recursive callframes to get
> the union of bitmask to get conflicts looks somewhat ugly.

Yes, that's not pretty.  It's like make_traverse_path in that regard, 
though, so it fits in somehow.

I suspect the *real* solution is to put something like 
traverse_trees_recursive into tree-walk.c.  Both callers of 
traverse_tree recurse into subdirectories in slightly different ways. 
Providing that functionality in a central place should reduce code 
duplication.

René